Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1255154 - Review Request: rubygem-cabin - Experiments in structured and contextual logging
Summary: Review Request: rubygem-cabin - Experiments in structured and contextual logging
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 1242289
TreeView+ depends on / blocked
 
Reported: 2015-08-19 19:09 UTC by Danilo Falcão
Modified: 2017-07-27 10:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-27 10:33:57 UTC


Attachments (Terms of Use)

Description Danilo Falcão 2015-08-19 19:09:06 UTC
Spec URL: https://fcon.fedorapeople.org/files/f22/rubygem-cabin.spec
SRPM URL: https://fcon.fedorapeople.org/files/f22/rubygem-cabin-0.7.1-1.fc22.src.rpm
Description: This is an experiment to try and make logging more flexible and more
consumable. 
Fedora Account System Username: fcon

rubygem-cabin is also a requirement for fpm, a tool that converts directories, rpms, python eggs, rubygems, and more to rpms, debs, solaris packages and more.

fpm: https://bugzilla.redhat.com/show_bug.cgi?id=1242289

Comment 1 Vít Ondruch 2015-08-20 05:24:57 UTC
Hi, I'll take this for a review and I can sponsor you as well.

From the start, please take a look at:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 2 Vít Ondruch 2015-08-20 07:25:36 UTC
* Spec file differs
  - The .spec file you attached differs from the .spec file from SRPM. But they
    differs just in the initial import comment, so this is just minor nit.

* License
  - The license tag should be "ASL 2.0", according to [1].

* Test suite
  - Please execute the test suite.

* Inappropriate language in description
  - I don't think that words like "bullshit" are appropriate in package
    description.
  - I would suggest to ask upstream to change the wording.

* Exclude %{_bindir}/rubygems-cabin-test
  - I don't think this executable is useful. It seems to be just some test stuff.
  - Could you please ask upstream to remove this executable from the official
    package, i.e. drop this [2] line?



[1] https://fedoraproject.org/wiki/Licensing:Main#Software_License_List
[2] https://github.com/jordansissel/ruby-cabin/blob/master/cabin.gemspec#L18

Comment 3 Vít Ondruch 2015-10-20 11:48:44 UTC
Hi Danilo,

Any progress on this?

Comment 4 Piotr Popieluch 2015-12-21 14:27:42 UTC
Is there any progress on this? Upstream version is now 0.8.0, specfile should be updated to latest upstream release.

Comment 5 Vít Ondruch 2017-07-27 10:33:57 UTC
Closing this as per policy:

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Submitter_not_responding


Note You need to log in before you can comment on or make changes to this bug.